apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: cak-session-process
  namespace: bk-test
spec:
  interval: 5m
  chart:
    spec:
      chart: /chart/session-process
      version: "0.10.0"
      sourceRef:
        kind: GitRepository
        name: session-process
        namespace: bk-test
      interval: 1m
  values:
    nameOverride: cak-session-process
    config:
      sessionRegisterAPIKeySecretName: "cak-session-register-apikey"
      sessionRegisterAddress: "http://cak-session-register"
    ingress:
      enabled: true
      hosts:
        - session-cak.demo.blauweknop.app
      tls:
        - secretName: wildcard-cert-demo-blauweknop-app
          hosts:
            - session-cak.demo.blauweknop.app
